swish-0.10.4.0: A semantic web toolkit.

Copyright | (c) 2003 Graham Klyne 2009 Vasili I Galchin 2011 2012 2014 Douglas Burke
License | GPL V2
Maintainer | Douglas Burke
Stability | experimental
Portability | CPP, OverloadedStrings
Safe Haskell | Safe-Inferred
Language | Haskell2010

Swish.RDF.ProofContext

Description

This module contains proof-context declarations based on the RDF, RDFS, and RDF datatyping semantics specifications. These definitions consist of namespaces (for identification in proofs), axioms and inference rules.

Synopsis

- rulesetRDF :: RDFRuleset
- rulesetRDFS :: RDFRuleset
- rulesetRDFD :: RDFRuleset

# Documentation

rulesetRDF :: RDFRuleset Source #

Ruleset for RDF inference.

rulesetRDFS :: RDFRuleset Source #

Ruleset for RDFS inference.

rulesetRDFD :: RDFRuleset Source #

Ruleset for RDFD (datatyping) inference.